source: branches/profile/arb_UBUNTU.txt

Last change on this file was 10420, checked in by epruesse, 6 years ago
  • work around linking bug in centos5
  • add libreadline-dev to ubuntu depends
File size: 1.3 KB
Line 
1
2ARB requirements on Ubuntu 10.04
3--------------------------------
4
5[Note:]
6You may use the provided install script, e.g.
7    sudo SH/arb_installubuntu4arb.sh
8
9
10
111) Package dependencies for running precompiled ARB
12   
13 1a) Non OPENGL version
14
15     - gnuplot
16     - gv
17     - libmotif3 (Ubuntu 12.04: libmotif4)
18     - xfig
19     - transfig
20     - xterm
21
22 1b) OPENGL version
23
24     - packets mentioned under 1a)
25     - libpng12-0
26
27
282) Package dependencies for compiling ARB
29
30 2a) Non OPENGL version
31
32     - packets mentioned under 1a)
33     - g++
34     - libmotif-dev
35     - libreadline-dev
36     - libtiff4-dev
37     - libx11-dev
38     - libxaw7-dev
39     - libxext-dev
40     - libxml2-utils
41     - libxpm-dev
42     - libxt-dev
43     - lynx
44     - time
45     - x11proto-print-dev
46     - xsltproc
47     - xutils-dev
48
49 2b) OPENGL version
50
51     Add the following repository to your packet manager:
52
53         deb http://dev.mikro.biologie.tu-muenchen.de/debian hardy non-free
54
55         (replace 'hardy' with your ubuntu distribution; see
56          http://dev.mikro.biologie.tu-muenchen.de/debian/dists/
57          for available distributions)
58
59     Install the following packets:
60
61     - libglw-mesa-arb
62     - packets mentioned under 1b)
63     - packets mentioned under 2a)
64     - freeglut3-dev
65     - libglew1.5-dev
66     - libpng12-dev
67
68
Note: See TracBrowser for help on using the repository browser.